Bug 1039390 - (CVE-2013-7039) CVE-2013-7039 libmicrohttpd: stack overflow in MHD_digest_auth_check()
CVE-2013-7039 libmicrohttpd: stack overflow in MHD_digest_auth_check()
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131128,repor...
: Security
Depends On: 1039392 1034363 1039391 1039393
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-08 20:56 EST by Murray McAllister
Modified: 2015-10-15 14:08 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 09:46:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2013-12-08 20:56:01 EST
A stack overflow flaw was found in the MHD_digest_auth_check() function in libmicrohttpd. If MHD_OPTION_CONNECTION_MEMORY_LIMIT was configured to allow large allocations, a remote attacker could possibly use this flaw to cause an application using libmicrohttpd to crash or, potentially, execute arbitrary code with the privileges of the user running the application. This issue has been resolved in version 0.9.32.

References:
https://gnunet.org/svn/libmicrohttpd/ChangeLog
http://secunia.com/advisories/55903/
https://bugs.gentoo.org/show_bug.cgi?id=493450

Acknowledgements:

This issue was discovered by Florian Weimer of the Red Hat Product Security Team.
Comment 2 Murray McAllister 2013-12-08 20:57:50 EST
Created libmicrohttpd tracking bugs for this issue:

Affects: fedora-all [bug 1039391]
Affects: epel-all [bug 1039392]
Comment 3 Murray McAllister 2013-12-08 21:06:33 EST
CVE request: http://www.openwall.com/lists/oss-security/2013/12/09/1

Note You need to log in before you can comment on or make changes to this bug.